Doomsday Engine - Bug #1032

[Heretic] Badguy auto/raise lower to camera
2012-04-24 09:31 - vermil

Status: New Start date: 2012-04-24
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Modding

Description

Using Heretic's Gargoyles as a test, they continue to lower within melee range, where as in the original game they didn't.

This means that if the player moves forward while in melee with a Gargoyle, it will end up lowering further in Dday than it did in the
original game.

| get the impression that the auto/lower to camera only tries to get the Gargoyle into a position where it can hit the player. Once the
Gargoyle is in that position, it won't lower further.

This can be observed using the barrels on E1M1. A Gargoyle in the original game will not auto lower below the barrels, where as in
Dday it will.

Obviously the above applies to Gargoyles that approach from a position above the players; Gargoyles can be spawned at any height
including the floor and can end up at floor height from raising over terrain.

Labels: Heretic

History

#1 - 2012-04-20 13:49 - danij

- labels: jHeretic Gameplay --> Heretic
- summary: Badguy auto/raise lower to camera --> [Heretic] Badguy auto/raise lower to camera
- milestone: -->v1.8.5

#2 - 2016-08-09 10:25 - skyjake
- Target version deleted (1.8.6)

#3 - 2017-04-03 14:46 - skyjake
- Tags set to Heretic, Gameplay
- Category set to Vanilla emulation

- Target version set to Modding
